#include<iostream>

using namespace std;

int main()
{
	int x=0, n, k;
    int total = 0;
    cin >> n;
    cin >> k;
    int a[n], b[n];
    
    for(int i=0 ; i<n ; ++i)
    {
    	cin >> a[i];
	}
    
    bool poseceno[n];
	for(int i=0 ; i<n ; ++i)
	{
		if(poseceno[i] == true) continue;
		int broj=1;
		for(int j=i+1 ; j<n ; ++j)
		{
			if(a[i] == a[j])
			{
				++broj;
				poseceno[j]=true;
			}
		}
		
		if(broj>=k)
		{
			++total;
			b[x]=a[i];
			++x;
		}
	}

    cout << total << '\n';

 	for (int i = 0; i < x; i++)
  	{
        cout << b[i] << " ";
  	}
	return 0;
}